Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.control
Class ForeachController

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.control.GenericController
              org.apache.jmeter.control.ForeachController

All Implemented Interfaces:
  Cloneable, Controller, Serializable, TestElement

public class ForeachController
extends GenericController
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.control.GenericController
`current, subControllersAndSamplers`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ForeachController()`

Method Summary
`String` | `getInputValString()`
`protected int` | `getIterCount()`
`String` | `getReturnValString()`
`boolean` | `getUseSeparator()`
`protected void` | `incrementLoopCount()`
`boolean` | `isDone()` Indicates whether the Controller is done delivering Samplers for the rest of the test.
`Sampler` | `next()` Determines the next sampler to be processed.
`protected Sampler` | `nextIsNull()` Called by next() when getCurrentElement() returns null.
`protected void` | `reInitialize()` Resets the controller: resetCurrent() (i.e. current=0) increment iteration count sets first=true recoverRunningVersion() to set the controller back to the initial state
`protected void` | `resetLoopCount()`
`void` | `setInputVal(String inputValue)`
`void` | `setReturnVal(String inputValue)`
`void` | `setUseSeparator(boolean b)`

Methods inherited from class org.apache.jmeter.control.GenericController
`addIterationListener, addTestElement, currentReturnedNull, fireIterationStart, fireIterEvents, getCurrentElement, getSubControllers, incrementCurrent, incrementIterCount, initialize, isFirst, nextIsAController, nextIsASampler, removeCurrentElement, resetCurrent, resetIterCount, setCurrentElement, setDone, setFirst`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### ForeachController

    public ForeachController()

Method Detail

### setInputVal

    public void setInputVal(String inputValue)

### getInputValString

    public String getInputValString()

### setReturnVal

    public void setReturnVal(String inputValue)

### getReturnValString

    public String getReturnValString()

### setUseSeparator

    public void setUseSeparator(boolean b)

### getUseSeparator

    public boolean getUseSeparator()

### isDone

    public boolean isDone()

  Description copied from interface: `Controller`
  Indicates whether the Controller is done delivering Samplers for the rest of the test. When the top-level controller returns true to JMeterThread, the thread is complete.

  Specified by:
    `isDone` in interface `Controller`
  Overrides:
    `isDone` in class `GenericController`
  See Also:
    `Controller.isDone()`

### next

    public Sampler next()

  Description copied from class: `GenericController`

  Determines the next sampler to be processed.

  If isDone, returns null.

  Gets the list element using current pointer. If this is null, calls `GenericController.nextIsNull()`.

  If the list element is a sampler, calls `GenericController.nextIsASampler(Sampler)`, otherwise calls `GenericController.nextIsAController(Controller)`

  If any of the called methods throws NextIsNullException, returns null, otherwise the value obtained above is returned.

  Specified by:
    `next` in interface `Controller`
  Overrides:
    `next` in class `GenericController`
  Returns:
    the next sampler or null

### nextIsNull

    protected Sampler nextIsNull()
                          throws NextIsNullException

  Description copied from class: `GenericController`
  Called by next() when getCurrentElement() returns null. Reinitialises the controller.

  Overrides:
    `nextIsNull` in class `GenericController`
  Returns:
    null (always, for this class)
  Throws:
    `NextIsNullException`

### incrementLoopCount

    protected void incrementLoopCount()

### resetLoopCount

    protected void resetLoopCount()

### getIterCount

    protected int getIterCount()

  Overrides:
    `getIterCount` in class `GenericController`

### reInitialize

    protected void reInitialize()

  Description copied from class: `GenericController`
  Resets the controller:
  - resetCurrent() (i.e. current=0)
  - increment iteration count
  - sets first=true
  - recoverRunningVersion() to set the controller back to the initial state

  Overrides:
    `reInitialize` in class `GenericController`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.